`include "uvm_macros.svh"

package my_package;

   import uvm_pkg::*;

class env extends uvm_env;
   `uvm_component_utils(env); // Register class env

   function new(string name, uvm_component parent);
      super.new(name, parent);
   endfunction // new

   function void build_phase(uvm_phase phase);
      super.build_phase(phase);
   endfunction // build_phase

   task run_phase(uvm_phase phase);
      phase.raise_objection(this);
      #10ns;
      `uvm_info("env", "Hello World", UVM_NONE);
      phase.drop_objection(this);
   endtask // run_phase
   
endclass // env
   
class test extends uvm_test;
   `uvm_component_utils(test); // Register class test

   env env_h;

   function new(string name, uvm_component parent);
      super.new(name, parent);
   endfunction // new

   function void build_phase(uvm_phase phase);
      super.build_phase(phase);
      env_h = env::type_id::create("env_h", this); // Creates object
   endfunction // build_phase
endclass // test1
   
   
endpackage // my_package
   
